Bug 574979 - Review Request: rubygem-bunny - Another synchronous Ruby AMQP client
Summary: Review Request: rubygem-bunny - Another synchronous Ruby AMQP client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-19 01:41 UTC by Matthew Kent
Modified: 2012-05-21 07:52 UTC (History)
4 users (show)

Fixed In Version: rubygem-bunny-0.6.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-28 15:56:11 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Kent 2010-03-19 01:41:42 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-bunny.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-bunny-0.6.0-1.fc14.src.rpm
Description: A synchronous Ruby AMQP client that enables interaction with AMQP-compliant brokers/servers.

rpmlint /var/tmp/results/rubygem-bunny-* | grep -v '/1.8/doc/'
rubygem-bunny.src: W: no-buildroot-tag
rubygem-bunny-doc.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 7 warnings.
(skipping the unexpanded-macro warnings in docs)

Build logs here https://koji.fedoraproject.org/koji/taskinfo?taskID=2062261

There is a test suite but it requires a running rabbitmq which would prove difficult in the build.

Comment 1 Mamoru TASAKA 2010-03-21 15:49:38 UTC
Well, actually it seems that test seems difficult...

I see no blockers on this package.
- Packaging itself is good
- ruby -rubygems -e "require 'bunny'" work
- ruby -rubygems -e "gem 'bunny'" work

---------------------------------------------------------
  This package (rubygem-bunny) is APPROVED by mtasaka
---------------------------------------------------------

Comment 2 Matthew Kent 2010-03-22 07:20:41 UTC
Thank you for the review!

Comment 3 Matthew Kent 2010-03-22 07:20:55 UTC
New Package CVS Request
=======================
Package Name: rubygem-bunny
Short Description: Another synchronous Ruby AMQP client
Owners: mkent
Branches: F-11 F-12 F-13
InitialCC:

Comment 4 Kevin Fenzi 2010-03-24 03:27:48 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-27 23:10:23 UTC
rubygem-bunny-0.6.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-bunny-0.6.0-1.fc11

Comment 6 Fedora Update System 2010-03-27 23:11:30 UTC
rubygem-bunny-0.6.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-bunny-0.6.0-1.fc12

Comment 7 Fedora Update System 2010-03-27 23:12:14 UTC
rubygem-bunny-0.6.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-bunny-0.6.0-1.fc13

Comment 8 Mamoru TASAKA 2010-03-28 15:56:11 UTC
Closing.

Comment 9 Fedora Update System 2010-03-30 02:08:54 UTC
rubygem-bunny-0.6.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-30 02:18:31 UTC
rubygem-bunny-0.6.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-09 03:47:42 UTC
rubygem-bunny-0.6.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Michael Stahnke 2010-09-10 18:41:32 UTC
Package Change Request
======================
Package Name: rubygem-bunny
New Branches: el5 el6
Owners: stahnma


mkent is aware of request.

Comment 13 Kevin Fenzi 2010-09-11 19:50:10 UTC
Git done (by process-git-requests).

Comment 14 Vít Ondruch 2012-05-21 07:51:00 UTC
Please note that rubygem-bunny was already in Fedora [1] but has been retired.

[1] https://admin.fedoraproject.org/pkgdb/acls/name/rubygem-bunny

Comment 15 Vít Ondruch 2012-05-21 07:52:01 UTC
(In reply to comment #14)
> Please note that rubygem-bunny was already in Fedora [1] but has been
> retired.
> 
> [1] https://admin.fedoraproject.org/pkgdb/acls/name/rubygem-bunny

Hups, sorry, wrong ticket :/


Note You need to log in before you can comment on or make changes to this bug.